Package com.ocient.jdbc.proto

## Enum ClientWireProtocol.ConfirmationResponse.ResponseType

- java.lang.Object
- - java.lang.Enum<ClientWireProtocol.ConfirmationResponse.ResponseType>
  - - com.ocient.jdbc.proto.ClientWireProtocol.ConfirmationResponse.ResponseType

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `Serializable`, `Comparable<ClientWireProtocol.ConfirmationResponse.ResponseType>`

Enclosing class:
  ClientWireProtocol.ConfirmationResponse

    public static enum ClientWireProtocol.ConfirmationResponse.ResponseType
    extends Enum<ClientWireProtocol.ConfirmationResponse.ResponseType>
    implements com.google.protobuf.ProtocolMessageEnum

Protobuf enum `xg.cmdcomp.ConfirmationResponse.ResponseType`

### Enum Constant Summary

Enum Constants
`INVALID` `INVALID = 0;`
`RESPONSE_ERROR` `RESPONSE_ERROR = 3;`
`RESPONSE_OK` `RESPONSE_OK = 1;`
`RESPONSE_WARN` `RESPONSE_WARN = 2;`
`UNRECOGNIZED`

### Field Summary

Fields
`static int` `INVALID_VALUE` `INVALID = 0;`
`static int` `RESPONSE_ERROR_VALUE` `RESPONSE_ERROR = 3;`
`static int` `RESPONSE_OK_VALUE` `RESPONSE_OK = 1;`
`static int` `RESPONSE_WARN_VALUE` `RESPONSE_WARN = 2;`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static ClientWireProtocol.ConfirmationResponse.ResponseType` `forNumber​(int value)`
`static com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptorForType()`
`int` `getNumber()`
`com.google.protobuf.Descriptors.EnumValueDescriptor` `getValueDescriptor()`
`static com.google.protobuf.Internal.EnumLiteMap<ClientWireProtocol.ConfirmationResponse.ResponseType>` `internalGetValueMap()`
`static ClientWireProtocol.ConfirmationResponse.ResponseType` `valueOf​(int value)` Deprecated.
`static ClientWireProtocol.ConfirmationResponse.ResponseType` `valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)` Returns the enum constant of this type with the specified name.
`static ClientWireProtocol.ConfirmationResponse.ResponseType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ClientWireProtocol.ConfirmationResponse.ResponseType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INVALID

    public static final ClientWireProtocol.ConfirmationResponse.ResponseType INVALID

`INVALID = 0;`

#### RESPONSE_OK

    public static final ClientWireProtocol.ConfirmationResponse.ResponseType RESPONSE_OK

`RESPONSE_OK = 1;`

#### RESPONSE_WARN

    public static final ClientWireProtocol.ConfirmationResponse.ResponseType RESPONSE_WARN

`RESPONSE_WARN = 2;`

#### RESPONSE_ERROR

    public static final ClientWireProtocol.ConfirmationResponse.ResponseType RESPONSE_ERROR

`RESPONSE_ERROR = 3;`

#### UNRECOGNIZED

    public static final ClientWireProtocol.ConfirmationResponse.ResponseType UNRECOGNIZED

### Field Detail

#### INVALID_VALUE

    public static final int INVALID_VALUE

`INVALID = 0;`

See Also:
  Constant Field Values

#### RESPONSE_OK_VALUE

    public static final int RESPONSE_OK_VALUE

`RESPONSE_OK = 1;`

See Also:
  Constant Field Values

#### RESPONSE_WARN_VALUE

    public static final int RESPONSE_WARN_VALUE

`RESPONSE_WARN = 2;`

See Also:
  Constant Field Values

#### RESPONSE_ERROR_VALUE

    public static final int RESPONSE_ERROR_VALUE

`RESPONSE_ERROR = 3;`

See Also:
  Constant Field Values

### Method Detail

#### values

    public static ClientWireProtocol.ConfirmationResponse.ResponseType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ClientWireProtocol.ConfirmationResponse.ResponseType c : ClientWireProtocol.ConfirmationResponse.ResponseType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ClientWireProtocol.ConfirmationResponse.ResponseType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getNumber

    public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

#### valueOf

    @Deprecated
    public static ClientWireProtocol.ConfirmationResponse.ResponseType valueOf​(int value)

Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### forNumber

    public static ClientWireProtocol.ConfirmationResponse.ResponseType forNumber​(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

#### internalGetValueMap

    public static com.google.protobuf.Internal.EnumLiteMap<ClientWireProtocol.ConfirmationResponse.ResponseType> internalGetValueMap()

#### getValueDescriptor

    public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptorForType

    public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

#### valueOf

    public static ClientWireProtocol.ConfirmationResponse.ResponseType valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null